SoShuttle(3)

NAME
SoShuttle - The SoShuttle class is used to oscillate between two translations.

SYNOPSIS

#include <Inventor/nodes/SoShuttle.h>

Inherits SoTranslation.

  Public Member Functions
virtual SoType getTypeId (void) const
SoShuttle (void)
virtual void write (SoWriteAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec3f translation0
SoSFVec3f translation1
SoSFFloat speed
SoSFBool on

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoShuttle ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoShuttle class is used to oscillate between two translations. A smooth transition between translation0 and translation1 is created using a cosine function. In the beginning of the cycle, translation0 is used. Halfway through the cycle, the resulting translation equals translation1, and at the end of the cycle, we're at translation0 again.

FILE FORMAT/DEFAULTS:

Shuttle {
    translation 0 0 0
    translation0 0 0 0
    translation1 0 0 0
    speed 1
    on TRUE
}

Constructor & Destructor Documentation

  SoShuttle::SoShuttle (void)
Constructor.

  SoShuttle::~SoShuttle () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoShuttle::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoShuttle::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTranslation.

  const SoFieldData ** SoShuttle::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoShuttle::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTranslation.

  void SoShuttle::write (SoWriteAction * action) [virtual]
Action method for SoWriteAction.

Writes out a node object, and any connected nodes, engines etc, if necessary.

Reimplemented from SoNode.

Member Data Documentation

  SoSFVec3f SoShuttle::translation0
Translation at the start and end of the cycle. Default value is (0, 0, 0).

  SoSFVec3f SoShuttle::translation1
Translation at the middle of the cycle. Default value is (0, 0, 0).

  SoSFFloat SoShuttle::speed
Number of cycles per second. Default value is 1.

  SoSFBool SoShuttle::on
Toggles animation on or off. Defaults to TRUE.

Author

Generated automatically by Doxygen for Coin from the source code.